libai.layers
##############################

.. currentmodule:: libai.layers
.. automodule:: libai.layers
    :members: 
        Embedding,
        VocabEmbedding,
        SinePositionalEmbedding,
        PatchEmbedding,
        drop_path,
        DropPath,
        build_activation,
        Linear,
        Linear1D,
        MLP,
        LayerNorm,
        RMSLayerNorm,
        MultiheadAttention,
        TransformerLayer,
        ParallelCrossEntropyLoss